Bug 172103 - mmap deprecation warning
mmap deprecation warning
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 10:15 EST by Chris Lumens
Modified: 2014-03-16 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 12:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2005-10-31 10:15:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b5) Gecko/20051008 Fedora/1.5-0.5.0.beta2 Firefox/1.4.1

Description of problem:
anaconda uses ddc probe from rhpxl, which uses kudzu to probe the video hardware.  From today's tree:

program ddcprobe is using MAP_PRIVATE, PROT_WRITE mmap of VM_RESERVED memory, which is deprecated.  Please remort this to linux-kernel@vger.kernel.org

ddcprobe is doing:

video = kudzu.probe(kudzu.CLASS_VIDEO, kudzu.BUS_DDC,kudzu.PROBE_ALL)
...
monitor = kudzu.probe(kudzu.CLASS_MONITOR, kudzu.BUS_DDC, kudzu.PROBE_ALL)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Bill Nottingham 2005-10-31 15:26:54 EST
Mmmm, LRMI sucks.

DaveJ: So, what am I *supposed* to be doing here?
Comment 2 Dave Jones 2005-11-30 00:52:01 EST
this should be ok now ?
Comment 3 Chris Lumens 2005-11-30 10:06:31 EST
Yeah, I haven't seen these messages for a while now.

Note You need to log in before you can comment on or make changes to this bug.